import baseurl from './baseurl.js'

var request = function(config) {
	return new Promise((resolve, rejected) => {
		uni.showLoading({
			title: ''
		});
		uni.request({
			url: baseurl + config.url,
			data: config.data,
			method: config.method,
			timeout: 5000,
			header: {
				// token: uni.getStorageSync('token')
			},
			success(res) {
				uni.hideLoading();
				resolve(res.data)
				// if (res.data.code == 20002) {
				//     uni.showModal({
				//         title: "登录提示",
				//         content: res.data.message,
				//         success(res1) {
				//             if (res1.confirm) {
				//                 uni.navigateTo({
				//                     url: ''
				//                 })
				//             }
				//         }
				//     })
				// } else {
				//     if (res.data.success) {
				//         resolve(res.data)
				//     } else {
				//         uni.showToast({
				//             title: res.data.message,
				//             icon: "none"
				//         })
				//     }

				// }

			},
			fail(err) {
				uni.hideLoading();
				rejected(err)
			}
		})
	})
}
export default request
